AnakiaTestCase (Velocity 1.4 API)
Keywords: org.apache.velocity.test.AnakiaTestCase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.test
Class AnakiaTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.velocity.test.BaseTestCase
                  org.apache.velocity.test.AnakiaTestCase

All Implemented Interfaces:
  junit.framework.Test

public class AnakiaTestCase
extends BaseTestCase

This is a test case for Anakia. Right now, it simply will compare two index.html files together. These are produced as a result of first running Anakia and then running this test.

Version:
  $Id: AnakiaTestCase.java,v 1.6.4.1 2004/03/03 23:23:04 geirm Exp $
Author:
  Jon S. Stevens

Field Summary
`private static java.lang.String` | `COMPARE_DIR`
`private static java.lang.String` | `FILE_EXT`
`private static java.lang.String` | `RESULTS_DIR`

Fields inherited from class org.apache.velocity.test.BaseTestCase
``

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`AnakiaTestCase()` Creates a new instance.

Method Summary
`void` | `runTest()` Runs the test.
`static junit.framework.Test` | `suite()`

Methods inherited from class org.apache.velocity.test.BaseTestCase
`assureResultsDirectoryExists, getFileName, getTestCaseName, isMatch, normalizeNewlines`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COMPARE_DIR

    private static final java.lang.String COMPARE_DIR

See Also:
  Constant Field Values

### RESULTS_DIR

    private static final java.lang.String RESULTS_DIR

See Also:
  Constant Field Values

### FILE_EXT

    private static final java.lang.String FILE_EXT

See Also:
  Constant Field Values

Constructor Detail

### AnakiaTestCase

    public AnakiaTestCase()

  Creates a new instance.

Method Detail

### suite

    public static junit.framework.Test suite()

### runTest

    public void runTest()

  Runs the test. This is empty on purpose because the code to do the Anakia output is in the .xml file that runs this test.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.